class CDacDlg : public CDialogImpl<CDacDlg>
{		
public:
	enum { IDD = IDD_DAC_DLG };	

	BEGIN_MSG_MAP(CDacDlg)		
		MESSAGE_HANDLER(WM_INITDIALOG, OnInitDialog)
		MESSAGE_HANDLER(WM_DESTROY, OnCloseDialog)		
		COMMAND_ID_HANDLER(ID_MENU_OK, OnDoneCmd)
		COMMAND_ID_HANDLER(ID_MENU_CANCEL, OnCloseCmd)		
		MESSAGE_HANDLER(WM_HSCROLL, OnScroolCmd)

		COMMAND_ID_HANDLER(ID_TTL1, OnCheckChanged)		
		COMMAND_ID_HANDLER(ID_TTL2, OnCheckChanged)		
		COMMAND_ID_HANDLER(ID_TTL3, OnCheckChanged)		
		COMMAND_ID_HANDLER(ID_TTL4, OnCheckChanged)		
		COMMAND_ID_HANDLER(ID_TTL5, OnCheckChanged)		
		COMMAND_ID_HANDLER(ID_TTL6, OnCheckChanged)		
		COMMAND_ID_HANDLER(ID_TTL7, OnCheckChanged)		
		COMMAND_ID_HANDLER(ID_TTL8, OnCheckChanged)		
		COMMAND_ID_HANDLER(ID_TTL9, OnCheckChanged)		
		COMMAND_ID_HANDLER(ID_TTL10, OnCheckChanged)		
		COMMAND_ID_HANDLER(ID_TTL11, OnCheckChanged)		
		COMMAND_ID_HANDLER(ID_TTL12, OnCheckChanged)		
		COMMAND_ID_HANDLER(ID_TTL13, OnCheckChanged)		
		COMMAND_ID_HANDLER(ID_TTL14, OnCheckChanged)		
		COMMAND_ID_HANDLER(ID_TTL15, OnCheckChanged)	

		COMMAND_ID_HANDLER(ID_TTL_OUT_ENB, OnEnableTTLOut)

		COMMAND_HANDLER(ID_TTL_READ, BN_CLICKED, OnReadTTL)

		COMMAND_HANDLER(ID_DAC_SET_TEXT, BN_CLICKED, OnChangeDAC)

	END_MSG_MAP()

//  Handler prototypes (uncomment arguments if needed):
//	LRESULT MessageHandler(UINT /*uMsg*/, WPARAM /*wParam*/, LPARAM /*lParam*/, BOOL& /*bHandled*/)
//	LRESULT CommandHandler(WORD /*wNotifyCode*/, WORD /*wID*/, HWND /*hWndCtl*/, BOOL& /*bHandled*/)
//	LRESULT NotifyHandler(int /*idCtrl*/, LPNMHDR /*pnmh*/, BOOL& /*bHandled*/)

	LRESULT OnCreateDialog(UINT /*uMsg*/, WPARAM /*wParam*/, LPARAM /*lParam*/, BOOL& /*bHandled*/);
	
	LRESULT OnCloseDialog(UINT /*uMsg*/, WPARAM /*wParam*/, LPARAM /*lParam*/, BOOL& /*bHandled*/);
	LRESULT OnInitDialog(UINT /*uMsg*/, WPARAM /*wParam*/, LPARAM /*lParam*/, BOOL& /*bHandled*/);
	LRESULT OnCloseCmd(WORD /*wNotifyCode*/, WORD wID, HWND /*hWndCtl*/, BOOL& /*bHandled*/);		
	LRESULT OnCheckChanged(WORD /*wNotifyCode*/, WORD wID, HWND /*hWndCtl*/, BOOL& /*bHandled*/);		
	LRESULT OnEnableTTLOut(WORD /*wNotifyCode*/, WORD wID, HWND /*hWndCtl*/, BOOL& /*bHandled*/);		
	LRESULT OnReadTTL(WORD /*wNotifyCode*/, WORD wID, HWND /*hWndCtl*/, BOOL& /*bHandled*/);		
	LRESULT OnChangeDAC(WORD wNotifyCode, WORD wID, HWND /*hWndCtl*/, BOOL& /*bHandled*/);		
	
	
	LRESULT OnScroolCmd(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& /*bHandled*/);		
	LRESULT OnDoneCmd(WORD /*wNotifyCode*/, WORD wID, HWND /*hWndCtl*/, BOOL& /*bHandled*/);	
	
	ILE154 * pModule;

	CDacDlg();
	void AbortProgramm(CHAR * Message);
	void AddPrintLog(CHAR * Message);	
	
	SHORT CurrentSlot;
	BOOL  Channels[NumChannels];
	DWORD ChannelRange[NumChannels];	
	DWORD ADCFreqkHz;
	DWORD KadrDelayMs;

	__int64 CounterRead;
};


#define SCROOL_RANGE	10000