#pragma once

class CDeviceFindDlg : public CDialogImpl<CDeviceFindDlg>
{		
public:
	enum { IDD = IDD_FIND_DEV_DLG };	

	BEGIN_MSG_MAP(CDeviceFindDlg)		
		MESSAGE_HANDLER(WM_INITDIALOG, OnInitDialog)
		COMMAND_ID_HANDLER(IDOK, OnCloseCmd)
		COMMAND_ID_HANDLER(IDCANCEL, OnCloseCmd)
		COMMAND_ID_HANDLER(ID_BUTTON_FIND_DEVICE, OnBeginFind)		
		COMMAND_ID_HANDLER(ID_COMBOBOX_FIND, OnComboboxChange)		
	END_MSG_MAP()

// Handler prototypes (uncomment arguments if needed):
//	LRESULT MessageHandler(UINT /*uMsg*/, WPARAM /*wParam*/, LPARAM /*lParam*/, BOOL& /*bHandled*/)
//	LRESULT CommandHandler(WORD /*wNotifyCode*/, WORD /*wID*/, HWND /*hWndCtl*/, BOOL& /*bHandled*/)
//	LRESULT NotifyHandler(int /*idCtrl*/, LPNMHDR /*pnmh*/, BOOL& /*bHandled*/)


	LRESULT OnCreateDialog(UINT /*uMsg*/, WPARAM /*wParam*/, LPARAM /*lParam*/, BOOL& /*bHandled*/);
	LRESULT OnInitDialog(UINT /*uMsg*/, WPARAM /*wParam*/, LPARAM /*lParam*/, BOOL& /*bHandled*/);
	LRESULT OnCloseCmd(WORD /*wNotifyCode*/, WORD wID, HWND /*hWndCtl*/, BOOL& /*bHandled*/);
	LRESULT OnBeginFind(WORD /*wNotifyCode*/, WORD wID, HWND /*hWndCtl*/, BOOL& /*bHandled*/);
	LRESULT OnComboboxChange(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& /*bHandled*/);
	BOOL GetDeviceName(LPWSTR DevName);
	
	CDeviceFindDlg();

	HANDLE	DeviceHandle;
	SHORT Slots[MAX_USB_DEVICES];
	SHORT CurrentSlot;
	SHORT NumDevices;
};
