#include "stdafx.h"
#include "LoadDll.h"

//------------------------------------------------------------------------
// 
//------------------------------------------------------------------------
TLoadDll::TLoadDll(PTCHAR DllName)
{
	//   DLL
	hDll = ::LoadLibrary(DllName);
}

//------------------------------------------------------------------------
// 
//------------------------------------------------------------------------
TLoadDll::~TLoadDll()
{
	::FreeLibrary(hDll);
}

//------------------------------------------------------------------------
//        
//------------------------------------------------------------------------
LPVOID WINAPI TLoadDll::CallCreateLInstance(void)
{
	if(hDll == NULL) return NULL;
	return ::GetProcAddress(hDll, L"CreateLInstance");
}

//------------------------------------------------------------------------
//      DLL
//------------------------------------------------------------------------
LPVOID WINAPI TLoadDll::CallGetDllVersion(void)
{
	if(hDll == NULL) return NULL;
	return ::GetProcAddress(hDll, L"GetDllVersionLCARD");
}

//------------------------------------------------------------------------
//   
//------------------------------------------------------------------------
HINSTANCE WINAPI TLoadDll::GetDllHinstance(void)
{
	return hDll;
}

