#include "stdafx.h"
//--------------------------------------------------------
#include "e2010.h"
#include "e140.h"
#include "e154.h"
#include "e440.h"

//   
static HINSTANCE hInstance;

//------------------------------------------------------------------------
//    
//------------------------------------------------------------------------
#if defined (__BORLANDC__)
BOOL WINAPI DllEntryPoint(HINSTANCE hInst, DWORD fdwReason, LPVOID /*lpvReserved*/)
#else
BOOL WINAPI DllMain(HANDLE hInst, DWORD fdwReason, LPVOID /*lpvReserved*/)
#endif
{
	if(fdwReason == DLL_PROCESS_ATTACH)
		//    
		hInstance = (HINSTANCE)hInst;
	return TRUE;
}

//------------------------------------------------------------------------
//    
//------------------------------------------------------------------------
LUSBAPIWINCE_DllExport(DWORD) GetDllVersionLCARD(void)
{
	return CURRENT_VERSION_LUSBAPI;
}

//------------------------------------------------------------------------
//    
//------------------------------------------------------------------------
LUSBAPIWINCE_DllExport(LPVOID) CreateLInstance(PCHAR const DeviceName)
{
	LPVOID pDevice;

	//   
	if(!DeviceName) return NULL;

	//      
	if(!_stricmp(DeviceName, "LUSBBASE")) pDevice = static_cast<ILUSBBASE *>(new TLUSBBASE(hInstance));
	else if(!_stricmp(DeviceName, "E140")) pDevice = static_cast<ILE140 *>(new TLE140(hInstance));	
	else if(!_stricmp(DeviceName, "E154")) pDevice = static_cast<ILE154 *>(new TLE154(hInstance));
	else pDevice = NULL;
	//    ,  
	return pDevice;
}

