#pragma once

class CMultimiterDlg : public CDialogImpl<CMultimiterDlg>
{		
public:
	enum { IDD = IDD_MULTIMITER_DLG };	

	BEGIN_MSG_MAP(CMultimiterDlg)		
		MESSAGE_HANDLER(WM_INITDIALOG, OnInitDialog)
		MESSAGE_HANDLER(WM_DESTROY, OnCloseDialog)		
		COMMAND_ID_HANDLER(ID_MENU_OK, OnDoneCmd)
		COMMAND_ID_HANDLER(ID_MENU_CANCEL, OnCloseCmd)		
	END_MSG_MAP()

//  Handler prototypes (uncomment arguments if needed):
//	LRESULT MessageHandler(UINT /*uMsg*/, WPARAM /*wParam*/, LPARAM /*lParam*/, BOOL& /*bHandled*/)
//	LRESULT CommandHandler(WORD /*wNotifyCode*/, WORD /*wID*/, HWND /*hWndCtl*/, BOOL& /*bHandled*/)
//	LRESULT NotifyHandler(int /*idCtrl*/, LPNMHDR /*pnmh*/, BOOL& /*bHandled*/)

	LRESULT OnCreateDialog(UINT /*uMsg*/, WPARAM /*wParam*/, LPARAM /*lParam*/, BOOL& /*bHandled*/);
	
	LRESULT OnCloseDialog(UINT /*uMsg*/, WPARAM /*wParam*/, LPARAM /*lParam*/, BOOL& /*bHandled*/);
	LRESULT OnInitDialog(UINT /*uMsg*/, WPARAM /*wParam*/, LPARAM /*lParam*/, BOOL& /*bHandled*/);
	LRESULT OnCloseCmd(WORD /*wNotifyCode*/, WORD wID, HWND /*hWndCtl*/, BOOL& /*bHandled*/);		
	LRESULT OnDoneCmd(WORD /*wNotifyCode*/, WORD wID, HWND /*hWndCtl*/, BOOL& /*bHandled*/);	
	
	ILE154 * pModule;

	CMultimiterDlg();
	void AbortProgramm(CHAR * Message);
	void AddPrintLog(CHAR * Message);
	
	
	SHORT CurrentSlot;	
	BOOL  Channels[NumChannels];
	DWORD ChannelRange[NumChannels];	
	DWORD ADCFreqkHz;
	DWORD KadrDelayMs;

	double chValues [NumChannels]; 

	volatile BOOL Running;	
	volatile BOOL DataReady;

	HANDLE ReadFromDeviceThread;		
	HANDLE ShowThread;		

	__int64 CounterRead;
};


