#pragma once

class CRunADCDlg : public CDialogImpl<CRunADCDlg>
{		
public:
	enum { IDD = IDD_RUN_ADC_DLG };	

	BEGIN_MSG_MAP(CRunADCDlg)		
		MESSAGE_HANDLER(WM_INITDIALOG, OnInitDialog)
		MESSAGE_HANDLER(WM_DESTROY, OnCloseDialog)		
		COMMAND_ID_HANDLER(ID_MENU_OK, OnDoneCmd)
		COMMAND_ID_HANDLER(ID_MENU_CANCEL, OnCloseCmd)		
	END_MSG_MAP()

//  Handler prototypes (uncomment arguments if needed):
//	LRESULT MessageHandler(UINT /*uMsg*/, WPARAM /*wParam*/, LPARAM /*lParam*/, BOOL& /*bHandled*/)
//	LRESULT CommandHandler(WORD /*wNotifyCode*/, WORD /*wID*/, HWND /*hWndCtl*/, BOOL& /*bHandled*/)
//	LRESULT NotifyHandler(int /*idCtrl*/, LPNMHDR /*pnmh*/, BOOL& /*bHandled*/)

	LRESULT OnCreateDialog(UINT /*uMsg*/, WPARAM /*wParam*/, LPARAM /*lParam*/, BOOL& /*bHandled*/);
	
	LRESULT OnCloseDialog(UINT /*uMsg*/, WPARAM /*wParam*/, LPARAM /*lParam*/, BOOL& /*bHandled*/);
	LRESULT OnInitDialog(UINT /*uMsg*/, WPARAM /*wParam*/, LPARAM /*lParam*/, BOOL& /*bHandled*/);
	LRESULT OnCloseCmd(WORD /*wNotifyCode*/, WORD wID, HWND /*hWndCtl*/, BOOL& /*bHandled*/);		
	LRESULT OnDoneCmd(WORD /*wNotifyCode*/, WORD wID, HWND /*hWndCtl*/, BOOL& /*bHandled*/);	
	
	CRunADCDlg();
	void AbortProgramm(CHAR * Message);
	void AddPrintLog(CHAR * Message);

	ILE154 * pModule;	
	
	SHORT CurrentSlot;
	BOOL  Channels[NumChannels];
	DWORD ChannelRange[NumChannels];
	DWORD GetTimeSec;
	DWORD ADCFreqkHz;
	DWORD KadrDelayMs;

	volatile BOOL Running;
	DWORD EndTickCount;

	HANDLE ReadFromDeviceThread;
	HANDLE WriteToFileThread;

	HANDLE DataReadyEvent;	

	__int64 CounterRead;
	__int64 CounterWrite;		

#define READ_BUFF_SIZE	(1024*64)
#define NUM_READ_BUFF	200
	SHORT * BufferRead[NUM_READ_BUFF];	

};


