using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace WindowsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void buttonOpenFile_Click(object sender, EventArgs e)
        {
            OpenFileDialog OpenFile = new OpenFileDialog();            
            if (OpenFile.ShowDialog() == DialogResult.OK)
            {
                StreamReader TextFile=null;
                try
                {
                    TextFile = new StreamReader(OpenFile.FileName);
                    string CurrentProxy;
                    while ((CurrentProxy = TextFile.ReadLine()) != null)
                    {
                        listBoxProxy.Items.Add(CurrentProxy.Substring(CurrentProxy.IndexOf("  ") + 2));
                    }
                }
                catch (Exception ex)
                {
                    MessageBox.Show(ex.ToString());
                }
                finally
                {
                    if (TextFile!=null) TextFile.Close();
                }
            }
        }

        private void buttonSaveFile_Click(object sender, EventArgs e)
        {
            SaveFileDialog SaveFile = new SaveFileDialog();
            if (SaveFile.ShowDialog() == DialogResult.OK)
            {
                StreamWriter TextFile=null;
                try
                {
                    TextFile = new StreamWriter(SaveFile.FileName);
                    for (int i = 0; i < listBoxProxy.Items.Count; i++)
                    {
                        TextFile.WriteLine(listBoxProxy.Items[i].ToString());
                    }                   
                }
                catch (Exception ex)
                {
                    MessageBox.Show(ex.ToString());
                }
                finally
                {
                    if (TextFile != null) TextFile.Close();
                }
            }
        }
    }
}